clang 8.0.0

Functions
ExprEngineC.cpp File Reference
`#include "clang/AST/ExprCXX.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/StaticAnalyzer/Core/CheckerManager.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ExprEngine.h"`
Include dependency graph for ExprEngineC.cpp:

Go to the source code of this file.

## Functions
static SVal | conjureOffsetSymbolOnLocation (SVal Symbol, SVal Other, Expr *Expression, SValBuilder &svalBuilder, unsigned Count, const LocationContext *LCtx)
| Optionally conjure and return a symbol for offset when processing an expression `Expression`. More...

## Function Documentation

## ◆ conjureOffsetSymbolOnLocation()

static SVal conjureOffsetSymbolOnLocation | ( | SVal | Symbol,
|  | SVal | Other,
|  | Expr * | Expression,
|  | SValBuilder & | svalBuilder,
|  | unsigned | Count,
|  | const LocationContext * | LCtx
| ) |  |
| static

Optionally conjure and return a symbol for offset when processing an expression `Expression`.

If `Other` is a location, conjure a symbol for `Symbol` (offset) if it is unknown so that memory arithmetic always results in an ElementRegion. `Count` The number of times the current basic block was visited.

Definition at line 29 of file ExprEngineC.cpp.

References clang::Expr::getType(), and clang::Type::isIntegralOrEnumerationType().

Referenced by clang::ento::ExprEngine::VisitBinaryOperator().